View Issue Details

IDProjectCategoryView StatusLast Update
0001879SymmetricDSBugpublic2014-08-11 13:49
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.4 
Target Version3.6.5Fixed in Version3.6.5 
Summary0001879: Database upgrade fails on sql server because drop index doesn't allow database name in the ddl
DescriptionDatabase upgrade fails on sql server because drop index doesn't allow database name in the ddl.

This was introduced when support for catalogs and schemas were supported in the ddl tools.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f6afe327

2014-08-06 13:01:35

chenson

Details Diff
0001879: Database upgrade fails on sql server because drop index doesn't allow database name in the ddl
0001879
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DdlBuilder.java Diff File

SymmetricDS: master 4d2c136b

2014-08-08 13:32:24

chenson

Details Diff
0001879: Database upgrade fails on sql server because drop index doesn't allow database name in the ddl
0001881: MS Azure does not support the sysconstraints view

0001879
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2014-08-06 12:58 chenson New Issue
2014-08-06 12:58 chenson Status new => assigned
2014-08-06 12:58 chenson Assigned To => chenson
2014-08-06 13:06 chenson Status assigned => resolved
2014-08-06 13:06 chenson Fixed in Version => 3.6.5
2014-08-06 13:06 chenson Resolution open => fixed
2014-08-06 14:00 chenson Changeset attached => SymmetricDS trunk r8573
2014-08-08 14:00 chenson Changeset attached => SymmetricDS trunk r8581
2014-08-11 13:49 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4d2c136b
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f6afe327